## twirl twirl — Twists the image from the center out |

## Synopsis

    struct              GstTwirl;

## Object Hierarchy

      GObject
       +----GInitiallyUnowned
             +----GstObject
                   +----GstElement
                         +----GstBaseTransform
                               +----GstVideoFilter
                                     +----GstGeometricTransform
                                           +----GstCircleGeometricTransform
                                                 +----GstTwirl

## Properties

      "angle"                    gdouble               : Read / Write

## Description

## Synopsis

### Element Information

plugin | geometrictransform
author | Thiago Santos<thiago.sousa.santos@collabora.co.uk>
class | Transform/Effect/Video

### Element Pads

name | sink
direction | sink
presence | always
details | video/x-raw, format=(string){ ARGB, BGR, BGRA, BGRx, RGB, RGBA, RGBx, AYUV, xBGR, xRGB, GRAY8, GRAY16_BE, GRAY16_LE }, width=(int)[ 1, 2147483647 ], height=(int)[ 1, 2147483647 ], framerate=(fraction)[ 0/1, 2147483647/1 ]

name | src
direction | source
presence | always
details | video/x-raw, format=(string){ ARGB, BGR, BGRA, BGRx, RGB, RGBA, RGBx, AYUV, xBGR, xRGB, GRAY8, GRAY16_BE, GRAY16_LE }, width=(int)[ 1, 2147483647 ], height=(int)[ 1, 2147483647 ], framerate=(fraction)[ 0/1, 2147483647/1 ]

## Details

### struct GstTwirl

    struct GstTwirl;

## Property Details

### The `"angle"` property

      "angle"                    gdouble               : Read / Write

This is the angle in radians by which pixels at the nearest edge of the image will move.

Default value: 3.14159